mod Mtex

rem 
  \para \bf  Part I. CL-TeX.  \end 

rem 
  \para \bf  Punctuation symbols.  \end 

appldisp/0 Tex0_dotsc
  Op(Ent('hellip'),0)

rem 
  \para \bf  Greek letters.  \end 

appldisp/0 Tex0_tau
  Id(0,Ent('tau'),0)

appldisp/0 Tex0_tau1
  Subsup(Id(0,Ent('tau'),0),75,Num('1',0),None)

appldisp/0 Tex0_mu
  Id(0,Ent('mu'),0)

appldisp/0 Tex0_phi
  Id(0,Ent('phi'),0)

rem 
  \para \bf  Binary operation symbols.  \end 

appldisp/2 Tex2_triangleleft
  Infix(Arg(0),25,0,Op(Ent('vrtri'),0),Arg(1))

appldisp/2 Tex2_sqcup
  Infix(Arg(0),40,1,Op(Ent('sqcup'),0),Arg(1))

rem 
  \para \bf  Relation symbols.  \end 

appldisp/2 Tex2_le
  Infix(Arg(0),25,0,Op(Ent('lE'),0),Arg(1))

appldisp/2 Tex2_lt
  Infix(Arg(0),25,0,Op(Ent('lt'),0),Arg(1))

appldisp/2 Tex2_ge
  Infix(Arg(0),25,0,Op(Ent('gE'),0),Arg(1))

appldisp/2 Tex2_gt
  Infix(Arg(0),25,0,Op(Ent('gt'),0),Arg(1))

appldisp/2 Tex2_equiv
  Infix(Arg(0),25,0,Op(Ent('equiv'),0),Arg(1))

appldisp/2 Tex2_sqsupset
  Infix(Arg(0),25,0,Op(Ent('sqsup'),0),Arg(1))

appldisp/2 Tex2_sqsubset
  Infix(Arg(0),25,0,Op(Ent('sqsub'),0),Arg(1))

appldisp/2 Tex2_subset
  Infix(Arg(0),25,0,Op(Ent('sub'),0),Arg(1))

appldisp/2 Tex2_sim
  Infix(Arg(0),25,0,Op(Ent('sim'),0),Arg(1))

appldisp/2 Tex2_prec
  Infix(Arg(0),25,0,Op(Ent('pr'),0),Arg(1))

appldisp/2 Tex2_preceq
  Infix(Arg(0),25,0,Op(Ent('prcue'),0),Arg(1))

appldisp/2 Tex2_succ
  Infix(Arg(0),25,0,Op(Ent('sc'),0),Arg(1))

appldisp/2 Tex2_succeq
  Infix(Arg(0),25,0,Op(Ent('sce'),0),Arg(1))

rem 
  \para \bf  Arrow symbols.  \end 

appldisp/1 Tex1_hat
  Underover(Arg(0),None,Op(Ent('rarr'),0))

rem 
  \para \bf  Delimiters.  \end 

rem 
  \para \bf  Miscellaneous symbols.  \end 

rem 
  \para \bf  Macros.  \end 

appldisp/2 Tex2_sub
  Subsup(Arg(0),75,Arg(1),None)

appldisp/2 Tex2_appl1
  Prefix(70,2,Arg(0),Fenced(Op('(',0),Arg(1),Op(')',0)))

appldisp/3 Tex3_appl2
  Prefix(70,2,Arg(0),Fenced(Op('(',0),Infix(Arg(1),40,0,Op(',',0),Arg(2)),Op(')',0)))

appldisp/2 Tex2_bappl1
  Prefix(70,2,Arg(0),Fenced(Op('[',0),Arg(1),Op(']',0)))

appldisp/3 Tex3_bappl2
  Prefix(70,2,Arg(0),Fenced(Op('[',0),Infix(Arg(1),40,0,Op(',',0),Arg(2)),Op(']',0)))

appldisp/2 Tex2_forall
  Prefix(70,2,Fenced(Op(Ent('forall'),0),Arg(0),Op(0)),Arg(1))

rem 
  \para \bf  Part II. Functions and predicates.  \end 

rem 
  \para \bf  Only for debugging.  \end 

appldisp/0 Tex_f0_foo
  Op(Ent('Not'),0)

appldisp/0 Tex_p0_poo
  Op(Ent('Not'),0)

rem 
  \para \bf  Unspecified symbols.  \end 

appldisp/1 Tex_p1_phi_subst
  Prefix(70,2,Id(0,Ent('phi'),0),Fenced(Op('[',0),Arg(0),Op(']',0)))

appldisp/1 Tex_f1_mu_subst
  Prefix(70,2,Id(0,Ent('mu'),0),Fenced(Op('[',0),Arg(0),Op(']',0)))

appldisp/2 Tex_f2_tau2_subst
  Prefix(100,2,Subsup(Id(0,Ent('tau'),0),75,Num('2',0),None),
         Fenced(Op('[',0),Infix(Arg(0),30,2,Op(',',0),Arg(1)),Op(']',0)))

appldisp/3 Tex_f3_subst_dotsc
  Prefix(100,2,Arg(0),
         Fenced(Op('[',0),Infix(Arg(1),20,0,Id(1,',...,',0),Arg(2)),Op(']',0)))

appldisp/0 Tex_f0_f
  Std('f',0)

appldisp/1 Tex_f1_f
  Std('f',0)

appldisp/2 Tex_f2_f
  Std('f',0)

appldisp/3 Tex_f3_f
  Std('f',0)

appldisp/4 Tex_f4_f
  Std('f',0)

appldisp/0 Tex_f0_g
  Std('g',0)

appldisp/1 Tex_f1_g
  Std('g',0)

appldisp/2 Tex_f2_g
  Std('g',0)

appldisp/3 Tex_f3_g
  Std('g',0)

appldisp/4 Tex_f4_g
  Std('g',0)

appldisp/1 Tex_f1_h
  Std('h',0)

appldisp/0 Tex_f0_h
  Std('h',0)

appldisp/2 Tex_f2_h
  Std('h',0)

appldisp/3 Tex_f3_h
  Std('h',0)

appldisp/4 Tex_f4_h
  Std('h',0)

appldisp/5 Tex_f5_h
  Std('h',0)

appldisp/0 Tex_f0_n
  Std('n',0)

appldisp/0 Tex_f0_m
  Std('m',0)

appldisp/2 Tex_f2_f_sub_1
  Prefix(100,2,Subsup(Id(1,'f',0),75,Num('1',0),None),
         Fenced(Op('(',0),Infix(Arg(0),30,2,Op(',',0),Arg(1)),Op(')',0)))

appldisp/1 Tex_f1_f_sub
  Subsup(Id(1,'f',0),75,Arg(0),None)

rem 
  \para \bf  Basic arithmetic functions and predicates.  \end 

appldisp/0 Tex_f0_pa_zero
  Num('0',0)

appldisp/0 Tex_f0_pa_one
  Num('1',0)

appldisp/2 Tex_f2_pa_plus
  Infix(Arg(0),40,1,Op('+',0),Arg(1))

appldisp/2 Tex_f2_pa_times
  Infix(Arg(0),45,1,Op(Ent('sdot'),0),Arg(1))

appldisp/2 Tex_f2_pa_minus
  Infix(Arg(0),40,1,Op(Ent('minusd'),0),Arg(1))

appldisp/2 Tex_f2_pa_div
  Infix(Arg(0),45,1,Op(Ent('div'),0),Arg(1))

appldisp/2 Tex_f2_pa_mod
  Infix(Arg(0),45,1,Id(0,'mod',0),Arg(1))

appldisp/2 Tex_f2_pa_exp
  Subsup(Arg(0),75,None,Arg(1))

appldisp/1 Tex_f1_pa_fact
  Postfix(Arg(0),60,1,Op('!',0))

appldisp/1 Tex_f1_pa_fib
  Subsup(Id(1,'fib',0),75,Arg(0),None)

appldisp/2 Tex_f2_pa_gcd
  Std('gcd',0)

appldisp/2 Tex_f2_pa_max
  Std('max',0)

appldisp/2 Tex_f2_pa_min
  Std('min',0)

appldisp/1 Tex_f1_pa_sqrt
  Fenced(Op(Ent('lfloor'),0),Root(None,Arg(0)),Op(Ent('rfloor'),0))

appldisp/1 Tex_f1_pa_sum
  Prefix(70,2,
         Underover(Op(Ent('sum'),0),Infix(Id(0,'i',0),25,0,Op('=',0),Num('0',0)),Arg(0)),
         Id(0,'i',0))

appldisp/2 Tex_p2_pa_divides
  Infix(Arg(0),25,0,Op(Ent('mid'),0),Arg(1))

appldisp/1 Tex_f2_pa_sgn
  Std('sgn',0)

rem 
  \para \bf  Binary arithmetic.  \end 

appldisp/1 Tex_f1_nb_sz
  Subsup(Fenced(Op(Ent('mid'),0),Arg(0),Op(Ent('mid'),0)),75,Id(1,'b',0),None)

appldisp/1 Tex_f1_nb_s
  Infix(Arg(0),40,1,Subsup(Op('+',0),75,Id(1,'b',0),None),Num('1',0))

appldisp/1 Tex_f1_nb_pr
  Infix(Arg(0),40,1,
        Subsup(Underover(Op(Ent('minus'),0),None,Op('.',0)),75,Id(1,'b',0),None),
        Num('1',0))

appldisp/2 Tex_f2_nb_plus
  Infix(Arg(0),40,1,Subsup(Op('+',0),75,Id(1,'b',0),None),Arg(1))

appldisp/2 Tex_f2_nb_times
  Infix(Arg(0),45,1,Subsup(Op(Ent('sdot'),0),75,Id(1,'b',0),None),Arg(1))

appldisp/2 Tex_f2_nb_exp
  Subsup(Arg(0),75,Id(1,'b',0),Arg(1))

appldisp/2 Tex_p2_nb_eq
  Infix(Arg(0),35,1,Subsup(Op('=',0),75,Id(1,'b',0),None),Arg(1))

rem 
  \para \bf  Dyadic arithmetic.  \end 

appldisp/1 Tex_f1_n2_sz
  Subsup(Fenced(Op(Ent('mid'),0),Arg(0),Op(Ent('mid'),0)),75,Id(1,'d',0),None)

appldisp/2 Tex_f2_n2_conc
  Infix(Arg(0),40,1,Op(Ent('sstarf'),0),Arg(1))

appldisp/1 Tex_f1_n2_rev
  Prefix(81,2,Subsup(Id(1,'Rev',0),75,Id(1,'d',0),None),Arg(0))

rem 
  \para \bf  Pairing function.  \end 

appldisp/2 Tex_f2_pp_pair
  Fenced(Id(0,Ent('lang'),0),Infix(Arg(0),25,0,Id(0,',',0),Arg(1)),Id(0,Ent('rang'),0))

appldisp/1 Tex_f1_pp_proj1
  Prefix(100,2,Subsup(Id(0,Ent('pi'),0),75,Num('1',0),None),Arg(0))

appldisp/1 Tex_f1_pp_proj2
  Prefix(100,2,Subsup(Id(0,Ent('pi'),0),75,Num('2',0),None),Arg(0))

appldisp/2 Tex_f2_pp_iproj2
  Prefix(100,2,Subsup(Id(0,Ent('pi'),0),75,Num('2',0),Arg(0)),Arg(1))

appldisp/1 Tex_f1_pp_sz
  Subsup(Fenced(Op(Ent('mid'),0),Arg(0),Op(Ent('mid'),0)),75,Id(1,'p',0),None)

rem 
  \para \bf  Lists.  \end 

appldisp/2 Tex_f2_ln_sub
  Subsup(Fenced(Op('(',0),Arg(0),Op(')',0)),75,Arg(1),None)

appldisp/2 Tex_f2_ln_conc
  Infix(Arg(0),40,1,Op(Ent('oplus'),0),Arg(1))

appldisp/2 Tex_p2_ln_in
  Infix(Arg(0),25,0,Id(0,Ent('epsiv'),0),Arg(1))

appldisp/3 Tex_f3_ln_msub
  Prefix(70,2,Arg(0),
         Fenced(Op('[',0),Infix(Arg(1),25,0,Op(Ent('colone'),0),Arg(2)),Op(']',0)))

appldisp/1 Tex_f1_ln_map_f
  Prefix(81,2,Subsup(Id(1,'Map',0),75,Id(1,'f',0),None),Arg(0))

appldisp/2 Tex_f2_ln_interval
  Fenced(Op('[',0),Infix(Arg(0),25,0,Id(0,'  .. ',0),Arg(1)),Op(']',0))

appldisp/1 Tex_f1_ln_filter_a
  Prefix(81,2,Subsup(Id(1,'Filter',0),75,Id(1,'A',0),None),Arg(0))

appldisp/2 Tex_f2_ln_count
  Prefix(70,2,Subsup(Op('#',0),75,Arg(0),None),Fenced(Op('(',0),Arg(1),Op(')',0)))

appldisp/3 Tex_p3_ln_inserted
  Postfix(Infix(Arg(0),40,0,Op(Ent('ap'),0),Arg(1)),60,0,
          Fenced(Op('[',0),Prefix(70,2,Op(Ent('darr'),0),Arg(2)),Op(']',0)))

appldisp/1 Tex_f1_ln_union
  Prefix(70,2,Op(Ent('xcup'),0),Arg(0))

appldisp/2 Tex_p2_ln_concp
  Infix(Arg(0),25,0,Op(Ent('ltrif'),0),Arg(1))

rem 
  \para \bf  Sets.  \end 

appldisp/2 Tex_p2_set_in
  Infix(Arg(0),25,0,Op(Ent('isin'),0),Arg(1))

appldisp/2 Tex_f2_set_insert
  Infix(Arg(0),40,1,Op(Ent('cup'),0),Fenced(Op('{',0),Arg(1),Op('}',0)))

appldisp/2 Tex_f2_set_delete
  Infix(Arg(0),40,1,Op(Ent('setmn'),0),Fenced(Op('{',0),Arg(1),Op('}',0)))

rem 
  \para \bf  Polynomials.  \end 

appldisp/2 Tex_f2_po_den
  Prefix(70,2,Arg(0),Fenced(Op('(',0),Arg(1),Op(')',0)))

appldisp/2 Tex_f2_po_add
  Infix(Arg(0),40,1,Subsup(Op('+',0),75,None,Op(Ent('bull'),0)),Arg(1))

appldisp/2 Tex_f2_po_multp
  Infix(Underover(Arg(0),None,Op(Ent('OverBar'),0)),45,0,
        Subsup(Op(Ent('times'),0),75,None,Op(Ent('bull'),0)),Arg(1))

appldisp/2 Tex_f2_po_mult
  Infix(Arg(0),45,1,Subsup(Op(Ent('times'),0),75,None,Op(Ent('bull'),0)),Arg(1))

rem 
  \para \bf  2.5 Binary trees.  \end 

appldisp/0 Tex_f0_bt_e
  Op(Ent('bull'),0)

appldisp/3 Tex_f3_bt_nd
  Frac(Arg(0),1,Infix(Arg(1),25,3,Op(Ent('mid'),0),Arg(2)))

appldisp/1 Tex_f1_bt_sz
  Subsup(Fenced(Op(Ent('mid'),0),Arg(0),Op(Ent('mid'),0)),75,Id(1,'b',0),None)

appldisp/1 Tex_f1_bt_dp
  Std('d',0)

appldisp/2 Tex_p2_bt_in
  Infix(Arg(0),25,0,Subsup(Op(Ent('isin'),0),75,Id(1,'b',0),None),Arg(1))

appldisp/2 Tex_p2_bt_subtree
  Infix(Arg(0),25,0,Subsup(Op(Ent('ltrie'),0),75,Id(1,'b',0),None),Arg(1))

appldisp/2 Tex_p2_bt_isomorphic
  Infix(Arg(0),25,0,Subsup(Op(Ent('sime'),0),75,Id(1,'b',0),None),Arg(1))

appldisp/2 Tex_p2_bt_ltb
  Infix(Arg(0),25,0,Subsup(Op(Ent('pr'),0),75,Id(1,'b',0),None),Arg(1))

appldisp/2 Tex_f2_bt_lookup
  Subsup(Fenced(Op('[',0),Arg(0),Op(']',0)),75,Arg(1),None)

appldisp/3 Tex_f3_bt_update
  Prefix(70,2,Arg(0),
         Fenced(Op('[',0),Infix(Arg(1),25,0,Op(Ent('colone'),0),Arg(2)),Op(']',0)))

rem 
  \para \bf  Numeric terms  \end 

appldisp/1 Tex_f1_nt_vt
  Subsup(Id(3,'x',0),75,Arg(0),Op(Ent('bull'),0))

appldisp/1 Tex_f1_nt_ct
  Subsup(Arg(0),75,None,Op(Ent('bull'),0))

appldisp/2 Tex_f2_nt_at
  Infix(Arg(0),40,1,Subsup(Op('+',0),75,None,Op(Ent('bull'),0)),Arg(1))

appldisp/2 Tex_f2_nt_mt
  Infix(Arg(0),40,1,Subsup(Op(Ent('times'),0),75,None,Op(Ent('bull'),0)),Arg(1))

appldisp/1 Tex_f1_nt_sz
  Fenced(Op(Ent('mid'),0),Arg(0),Op(Ent('mid'),0))

appldisp/2 Tex_f2_nt_den
  Subsup(Fenced(Op(Ent('lobrk'),0),Arg(0),Op(Ent('robrk'),0)),75,Arg(1),None)

appldisp/1 Tex_f1_nt_fv
  Std('FV',0)

appldisp/3 Tex_p3_nt_equiv
  Postfix(Infix(Arg(0),40,0,Op(Ent('equiv'),0),Arg(1)),60,0,
          Fenced(Op('[',0),Arg(2),Op(']',0)))

appldisp/1 Tex_f1_nt_vi
  Std('LOAD',0)

appldisp/1 Tex_f1_nt_ci
  Std('PUSH',0)

appldisp/0 Tex_f0_nt_ai
  Std('ADD',0)

appldisp/0 Tex_f0_nt_mi
  Std('MULT',0)

rem 
  \para \bf  Propositional logic.  \end 

appldisp/0 Tex_f0_pl_tc
  Subsup(Op(Ent('top'),0),75,None,Op(Ent('bull'),0))

appldisp/0 Tex_f0_pl_fc
  Subsup(Op(Ent('bot'),0),75,None,Op(Ent('bull'),0))

appldisp/1 Tex_f1_pl_pvar
  Subsup(Id(3,'p',0),75,Arg(0),Op(Ent('bull'),0))

appldisp/1 Tex_f1_pl_not
  Prefix(70,2,Subsup(Op(Ent('not'),0),75,None,Op(Ent('bull'),0)),Arg(0))

appldisp/2 Tex_f2_pl_and
  Infix(Arg(0),45,1,Subsup(Op(Ent('and'),0),75,None,Op(Ent('bull'),0)),Arg(1))

appldisp/2 Tex_f2_pl_or
  Infix(Arg(0),40,1,Subsup(Op(Ent('or'),0),75,None,Op(Ent('bull'),0)),Arg(1))

appldisp/2 Tex_f2_pl_imp
  Infix(Arg(0),35,1,Subsup(Op(Ent('rarr'),0),75,None,Op(Ent('bull'),0)),Arg(1))

appldisp/2 Tex_f2_pl_iff
  Infix(Arg(0),35,1,Subsup(Op(Ent('harr'),0),75,None,Op(Ent('bull'),0)),Arg(1))

appldisp/1 Tex_f1_pl_sz
  Subsup(Fenced(Op(Ent('mid'),0),Arg(0),Op(Ent('mid'),0)),75,Id(1,'p',0),None)

appldisp/1 Tex_f1_pl_szl
  Subsup(Fenced(Op(Ent('par'),0),Arg(0),Op(Ent('par'),0)),75,Id(1,'p',0),None)

appldisp/1 Tex_f1_pl_pv
  Std('PV',0)

appldisp/1 Tex_f1_pl_pvl
  Std('PVL',0)

appldisp/2 Tex_p2_pl_true
  Infix(Arg(0),30,0,Subsup(Op(Ent('vDash'),0),75,Id(1,'p',0),None),Arg(1))

appldisp/3 Tex_p3_pl_equiv
  Postfix(Infix(Arg(0),40,0,Op(Ent('equiv'),0),Arg(1)),60,0,
          Fenced(Op('[',0),Arg(2),Op(']',0)))

appldisp/1 Tex_p1_pl_taut
  Prefix(70,2,Subsup(Op(Ent('vDash'),0),75,Id(1,'p',0),None),Arg(0))

appldisp/1 Tex_f1_pl_andl
  Prefix(70,2,Op(Ent('xwedge'),0),Arg(0))

appldisp/1 Tex_f1_pl_orl
  Prefix(70,2,Op(Ent('xvee'),0),Arg(0))

appldisp/2 Tex_p2_pl_tautsq
  Infix(Arg(0),30,0,Subsup(Op(Ent('vDash'),0),75,Id(1,'p',0),None),Arg(1))

appldisp/2 Tex_p2_pl_tautsq2
  Infix(Prefix(70,2,Op(Ent('xwedge'),0),Arg(0)),30,0,
        Subsup(Op(Ent('vDash'),0),75,Id(1,'p',0),None),
        Prefix(70,2,Op(Ent('xvee'),0),Arg(1)))

appldisp/4 Tex_p4_pl_prfsq1
  Infix(Infix(Arg(0),40,1,Op(Ent('oplus'),0),Arg(1)),30,0,
        Subsup(Op(Ent('vdash'),0),75,Id(1,'p',0),None),
        Infix(Arg(2),40,1,Op(Ent('oplus'),0),Arg(3)))

appldisp/2 Tex_p2_pl_prfsq
  Infix(Arg(0),30,0,Subsup(Op(Ent('vdash'),0),75,Id(1,'p',0),None),Arg(1))

appldisp/1 Tex_p1_pl_prf
  Prefix(70,2,Subsup(Op(Ent('vdash'),0),75,Id(1,'p',0),None),Arg(0))

loc rem 
   ******************************************************************************

rem 
  \para \bf  Computability.  \end 

rem 
  \para \bf  Classes of functions.  \end 

appldisp/0 Tex_f0_class_f
  Id(6,'F',0)

rem 
  \para \bf  Initial primitive recursive functions.  \end 

appldisp/2 Tex_f2_comp_i_2_1
  Prefix(100,2,Subsup(Id(1,'I',0),100,Num('1',0),Num('2',0)),
         Fenced(Op('(',0),Infix(Arg(0),30,2,Op(',',0),Arg(1)),Op(')',0)))

appldisp/2 Tex_f2_comp_i_2_2
  Prefix(100,2,Subsup(Id(1,'I',0),100,Num('2',0),Num('2',0)),
         Fenced(Op('(',0),Infix(Arg(0),30,2,Op(',',0),Arg(1)),Op(')',0)))

appldisp/3 Tex_f3_comp_i_3_1
  Prefix(100,2,Subsup(Id(1,'I',0),100,Num('1',0),Num('3',0)),
         Fenced(Op('(',0),
                Infix(Arg(0),30,2,Op(',',0),Infix(Arg(1),30,2,Op(',',0),Arg(2))),
                Op(')',0)))

appldisp/3 Tex_f3_comp_i_3_2
  Prefix(100,2,Subsup(Id(1,'I',0),100,Num('2',0),Num('3',0)),
         Fenced(Op('(',0),
                Infix(Arg(0),30,2,Op(',',0),Infix(Arg(1),30,2,Op(',',0),Arg(2))),
                Op(')',0)))

appldisp/3 Tex_f3_comp_i_3_3
  Prefix(100,2,Subsup(Id(1,'I',0),100,Num('3',0),Num('3',0)),
         Fenced(Op('(',0),
                Infix(Arg(0),30,2,Op(',',0),Infix(Arg(1),30,2,Op(',',0),Arg(2))),
                Op(')',0)))

rem 
  \para \bf  Some primitive recursive functions.  \end 

appldisp/2 Tex_f2_comp_c_2_0
  Prefix(100,2,Subsup(Id(1,'C',0),100,Num('0',0),Num('2',0)),
         Fenced(Op('(',0),Infix(Arg(0),30,2,Op(',',0),Arg(1)),Op(')',0)))

appldisp/2 Tex_f2_comp_c_2_1
  Prefix(100,2,Subsup(Id(1,'C',0),100,Num('1',0),Num('2',0)),
         Fenced(Op('(',0),Infix(Arg(0),30,2,Op(',',0),Arg(1)),Op(')',0)))

appldisp/2 Tex_f2_comp_c_2_2
  Prefix(100,2,Subsup(Id(1,'C',0),100,Num('2',0),Num('2',0)),
         Fenced(Op('(',0),Infix(Arg(0),30,2,Op(',',0),Arg(1)),Op(')',0)))

appldisp/1 Tex_f1_comp_ss
  Std('S',0)

appldisp/1 Tex_f1_comp_pred
  Infix(Arg(0),40,1,Op(Ent('minusd'),0),Num('1',0))

appldisp/3 Tex_f3_comp_d1
  Std('D',0)

appldisp/2 Tex_f2_comp_pair
  Fenced(Id(2,Ent('lang'),0),Infix(Arg(0),25,0,Id(2,',',0),Arg(1)),Id(2,Ent('rang'),0))

appldisp/3 Tex_f3_comp_sel
  Subsup(Fenced(Op('[',0),Arg(1),Op(']',0)),75,Arg(2),Arg(0))

appldisp/1 Tex_f1_comp_cvf_f
  Prefix(100,2,Underover(Id(1,'f',0),None,Op(Ent('OverBar'),0)),Arg(0))

appldisp/2 Tex_f2_comp_cvf_f
  Prefix(100,2,Underover(Id(1,'f',0),None,Op(Ent('OverBar'),0)),
         Fenced(Op('(',0),Infix(Arg(0),30,2,Op(',',0),Arg(1)),Op(')',0)))

rem 
  \para \bf  Boolean functions.  \end 

appldisp/1 Tex_f1_bool_notf
  Prefix(70,2,Subsup(Op(Ent('not'),0),75,Op('*',0),None),Arg(0))

appldisp/2 Tex_f2_bool_andf
  Infix(Arg(0),22,2,Subsup(Op(Ent('and'),0),75,Op('*',0),None),Arg(1))

appldisp/2 Tex_f2_bool_orf
  Infix(Arg(0),22,2,Subsup(Op(Ent('or'),0),75,Op('*',0),None),Arg(1))

appldisp/2 Tex_f2_bool_impf
  Infix(Arg(0),21,2,Subsup(Op(Ent('rarr'),0),75,Op('*',0),None),Arg(1))

appldisp/2 Tex_f2_bool_ifff
  Infix(Arg(0),21,2,Subsup(Op(Ent('harr'),0),75,Op('*',0),None),Arg(1))

rem 
  \para \bf  Characteristic functions.  \end 

appldisp/2 Tex_f2_char_eqf
  Infix(Arg(0),20,0,Subsup(Op('=',0),75,Op('*',0),None),Arg(1))

appldisp/2 Tex_f2_char_nef
  Infix(Arg(0),20,0,Subsup(Op('',Ent('NotEqual'),0),75,Op('*',0),None),Arg(1))

appldisp/2 Tex_f2_char_lef
  Infix(Arg(0),20,0,Subsup(Op('',Ent('leq'),0),75,Op('*',0),None),Arg(1))

appldisp/2 Tex_f2_char_ltf
  Infix(Arg(0),20,0,Subsup(Op('<',0),75,Op('*',0),None),Arg(1))

appldisp/2 Tex_f2_char_gef
  Infix(Arg(0),20,0,Subsup(Op('',Ent('geq'),0),75,Op('*',0),None),Arg(1))

appldisp/2 Tex_f2_char_gtf
  Infix(Arg(0),20,0,Subsup(Op('>',0),75,Op('*',0),None),Arg(1))

rem 
  \para \bf  Universal Function for Primitive Recursive Functions.  \end 

rem 
  \para \it  Arithmetization of primitive recursive function symbols.  \end 

appldisp/0 Tex_f0_pr_zx
  Id(3,'Z',0)

appldisp/0 Tex_f0_pr_sx
  Id(3,'S',0)

appldisp/2 Tex_f2_pr_px
  Fenced(Id(2,Ent('lang'),0),Infix(Arg(0),25,0,Id(2,',',0),Arg(1)),Id(2,Ent('rang'),0))

appldisp/2 Tex_f2_pr_ix
  Subsup(Id(3,'I',0),75,Arg(1),Arg(0))

appldisp/4 Tex_f4_pr_cx
  Prefix(70,0,Subsup(Id(3,'Comp',0),75,Arg(1),Arg(0)),
         Fenced(Op('(',0),Infix(Arg(2),40,0,Op(',',0),Arg(3)),Op(')',0)))

appldisp/3 Tex_f3_pr_rx
  Prefix(70,0,Subsup(Id(3,'Rec',0),75,Arg(0),None),
         Fenced(Op('(',0),Infix(Arg(1),40,0,Op(',',0),Arg(2)),Op(')',0)))

rem 
  \para \it  Interpeter of primitive recursive functions.  \end 

appldisp/2 Tex_f2_pr_u
  Infix(Arg(0),50,2,Op(Ent('bull'),0),Arg(1))

rem 
  \para \it  Arithmetization of primitive recursive terms.  \end 

appldisp/1 Tex_f1_pr_vt
  Subsup(Id(3,'x',0),75,Arg(0),Op(Ent('bull'),0))

appldisp/1 Tex_f1_pr_ct
  Subsup(Arg(0),75,None,Op(Ent('bull'),0))

appldisp/2 Tex_f2_pr_pt
  Fenced(Id(2,Ent('lang'),0),Infix(Arg(0),25,0,Id(2,',',0),Arg(1)),Id(2,Ent('rang'),0))

appldisp/2 Tex_f2_pr_at
  Prefix(70,0,Arg(0),Fenced(Id(2,'(',0),Arg(1),Id(2,')',0)))

appldisp/3 Tex_f3_pr_den
  Subsup(Fenced(Op(Ent('lobrk'),0),
                Prefix(100,2,Arg(1),
                       Fenced(Op('[',0),
                              Infix(Subsup(Id(1,'x',0),75,Num('1',0),None),20,0,
                                    Id(1,',...,',0),
                                    Subsup(Id(1,'x',0),75,Arg(0),None)),Op(']',0))),
                Op(Ent('robrk'),0)),75,Arg(2),None)

rem 
  \para \it  Examples of primitive recursive indices.  \end 

appldisp/1 Tex_f1_pr_xc1
  Subsup(Id(3,'C',0),75,Arg(0),None)

appldisp/2 Tex_f2_pr_xc2
  Subsup(Id(3,'C',0),75,Arg(1),Arg(0))

appldisp/2 Tex_f2_pr_xedf
  Infix(Subsup(Id(7,Ent('lambda'),0),75,Arg(0),None),40,0,Op('.',0),Arg(1))

appldisp/1 Tex_f1_pr_xiter
  Prefix(100,2,Id(3,'Iter',0),Arg(0))

appldisp/2 Tex_f2_pr_xrec0
  Prefix(70,0,Id(3,'Rec0',0),
         Fenced(Op('(',0),Infix(Arg(0),40,0,Op(',',0),Arg(1)),Op(')',0)))

appldisp/0 Tex_f0_pr_xplus
  Id(3,'Plus',0)

appldisp/0 Tex_f0_pr_xpred
  Id(3,'Pred',0)

appldisp/0 Tex_f0_pr_xminus
  Id(3,'Minus',0)

appldisp/0 Tex_f0_pr_xd
  Id(3,'D',0)

appldisp/0 Tex_f0_pr_xeqf
  Subsup(Id(3,'Eq',0),75,Op('*',0),None)

appldisp/2 Tex_f2_pr_xmin
  Prefix(70,0,Id(3,'Min',0),
         Fenced(Op('(',0),Infix(Arg(0),40,0,Op(',',0),Arg(1)),Op(')',0)))

appldisp/0 Tex_f0_pr_xnotf
  Subsup(Id(3,'Not',0),75,Op('*',0),None)

appldisp/0 Tex_f0_pr_xandf
  Subsup(Id(3,'And',0),75,Op('*',0),None)

appldisp/0 Tex_f0_pr_xlef
  Subsup(Id(3,'Le',0),75,Op('*',0),None)

appldisp/0 Tex_f0_pr_xltf
  Subsup(Id(3,'Lt',0),75,Op('*',0),None)

appldisp/0 Tex_f0_pr_xtimes
  Id(3,'Times',0)

appldisp/0 Tex_f0_pr_xexp
  Id(3,'Exp',0)

appldisp/0 Tex_f0_pr_xdiv
  Id(3,'Div',0)

appldisp/0 Tex_f0_pr_xmod
  Id(3,'Mod',0)

appldisp/2 Tex_f2_pr_xparam
  Infix(Arg(0),39,1,Id(3,'/',0),Arg(1))

appldisp/3 Tex_f3_pr_xsmn_2_3
  Prefix(100,2,Subsup(Id(1,'s',0),75,Num('3',0),Num('2',0)),
         Fenced(Op('(',0),
                Infix(Arg(0),30,2,Op(',',0),Infix(Arg(1),30,2,Op(',',0),Arg(2))),
                Op(')',0)))

appldisp/1 Tex_f1_pr_xdiag
  Prefix(100,2,Id(3,'Diag',0),Arg(0))

appldisp/1 Tex_f0_pr_xcantor
  Prefix(100,2,Id(3,'Cantor',0),Arg(0))

appldisp/0 Tex_f0_pr_xpair
  Id(3,'Pair',0)

appldisp/0 Tex_f0_pr_xg
  Id(3,'g',0)

appldisp/0 Tex_f0_pr_xself
  Id(3,'Self-reproducing machine',0)

loc rem 
   ******************************************************************************
   ******************************************************************************
   ******************************************************************************

rem 
  \para \bf  Macros.  \end 

fun/0 Texm_f0_f 'Tex_f0_f'
  Texm_f0_f = 0

fun/0 Texm_f0_g 'Tex_f0_g'
  Texm_f0_g = 0

fun/0 Texm_f0_h 'Tex_f0_h'
  Texm_f0_h = 0

fun/3 Texm_f3_g 'Tex_f3_g'
  Texm_f3_g(x1,x2,x3) = 0

fun/2 Texm_f2_exp 'Tex_f2_pa_exp'
  Texm_f2_exp(x,y) = 0

fun/0 Texm_f0_class_f 'Tex_f0_class_f'
  Texm_f0_class_f = 0

fun/0 Texm_f0_dotsc 'Tex0_dotsc'
  Texm_f0_dotsc = 0

fun/2 Texm_f2_sub 'Tex2_sub'
  Texm_f2_sub(x,y) = 0

fun/3 Texm_f3_subst_dotsc 'Tex_f3_subst_dotsc'
  Texm_f3_subst_dotsc(t,x,y) = 0

